#!/usr/bin/python

import sys
from qt import *
from kdecore import KApplication, KCmdLineArgs, KURL
from kio import KMimeType, KServiceTypeProfile

class MainWindow(QMainWindow):

	def __init__(self, ap):
		apply(QMainWindow.__init__, (self,))
		self.url = "/home/dnaber/DesktopDig/test/test1.html"

		self.mimetype = KMimeType.findByPath(self.url).name()
		self.mimestr = self.mimetype.latin1()
		print "mimestr=%s (%s)" % (self.mimestr, type(self.mimestr))
		
		self.offer = KServiceTypeProfile.preferredService(self.mimestr, "Application")
		print "offer=%s" % self.offer

		if self.offer:
			# *** the following line sometimes makes this script 
			# crash (KCrash), it also crashes without .latin1(). It 
			# also prints out "name=????ueror", the question marks 
			# are random characters when I use .utf8() instead:
			name = self.offer.name().latin1()
			print "name=%s" % name
			print "isValid=%s" % self.offer.isValid()
		return

def slotQuit():
	app.quit()

KCmdLineArgs.init(sys.argv, "testapp", "test", "0.1")
app = KApplication()
main_win = MainWindow(app)
main_win.show()
app.connect(app, SIGNAL("lastWindowClosed()"), slotQuit)
app.exec_loop()
